/** 
 *   Site testing for SKA candidate.
 *
 *   (c) Copyright 2004 Federico Bareilles <fede@iar.unlp.edu.ar>,
 *   Instituto Argentino de Radio Astronomia (IAR).
 *
 *   This program is free software; you can redistribute it and/or
 *   modify it under the terms of the GNU General Public License as
 *   published by the Free Software Foundation; either version 2 of
 *   the License, or (at your option) any later version.
 *     
 *   The author does NOT admit liability nor provide warranty for any
 *   of this software. This material is provided "AS-IS" in the hope
 *   that it may be useful for others.
 *
 **/

#ifndef _ROTATOR_H
#define _ROTATOR_H

/* Time for waiting response in seconds */
#define ROTATOR_TIME_OUT 65
#define ROTATOR_ECHO_TIME_OUT 1
#define ROTATOR_RETRY_SEND 3
#ifdef UPS_LOAD_CTRL
#define ROTATOR_TOUT_SUPPORT 5 /* number of "time out's" supported until
                                  power of the load */
#endif

#define ROTATOR_DEVICE "/dev/rotator"

/* Azimuth for parking rotator */
#define ROTATOR_AZ_PARK 0

/* returner erros definitions */
#define ROT_ERR_TIME_OUT   -2
#define ROT_ERR_CONDITION  -3
#define ROT_ERR_INVALID_PK -4


int rotator_setup(char *name);
int rotator_close(int fd);

int rotator_reset(int fd);

int rotator_set_azimuth(int fd, int az);
int rotator_get_azimuth(int fd, int *az);

int rotator_set_polarization(int fd, char pol);
int rotator_get_polarization(int fd, char *pol);

#endif /* ifndef _ROTATOR_H */

